<?php
// --------------------------------------------
// --- saisie d'une liste de personnes ---
// --------------------------------------------
$saisie="saisie non vide";
while (!empty($saisie))
{
 echo "Entrez un nom, un prénom et un âge (ex : Dupont;Jean;28) : ";
 $saisie=fgets(STDIN);
 // --- traitement de la chaîne lue, ---
 // suppression des espaces au début , à la fin et suppression du saut de ligne
 $saisie=trim($saisie);
 // remplace les espaces multiples par un seul espace
 $saisie= preg_replace('/\s{2,}/',' ',$saisie);
 // remplace ; suivi d'un espace par ;
 $saisie= preg_replace('/;\s/',';',$saisie);
 // remplace un espace suivi d'un ; par ;
 $saisie= preg_replace('/\s;/',';',$saisie);
 // on vérifie que la saisie n'est pas vide
 if (!empty($saisie))
 {
  // rangement dans le tableau
  $un_personne=explode(';',$saisie);
  $tab_personnes[]=$un_personne    ;
 }
}
echo '--- Affichage de $tab_personnes ---'.PHP_EOL;
print_r($tab_personnes) ;
?>
